com.collabnet.ce.soap60.webservices.frs

## Class FrsFileSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.frs.FrsFileSoapRow

-     public class FrsFileSoapRow
      extends Object

  A list of FrsFiles in a release.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrsFileSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentId()` Returns 'contentId'.
    `Date` | `getDateCreated()` Returns 'dateCreated'.
    `String` | `getDescription()` Returns 'description'.
    `String` | `getFilename()` Returns 'filename'.
    `long` | `getFileSize()` Returns 'fileSize'.
    `String` | `getFolderPathString()` Returns 'folderPathString'.
    `String` | `getId()` Returns 'id'.
    `String` | `getMimeType()` Returns 'mimeType'.
    `String` | `getPackageId()` Returns 'packageId'.
    `String` | `getPackageTitle()` Returns 'packageTitle'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getProjectPathString()` Returns 'projectPathString'.
    `String` | `getProjectTitle()` Returns 'projectTitle'.
    `String` | `getReleaseId()` Returns 'releaseId'.
    `String` | `getReleaseTitle()` Returns 'releaseTitle'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setContentId(String contentId)` Sets 'contentId'.
    `void` | `setDateCreated(Date dateCreated)` Sets 'dateCreated'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setFilename(String filename)` Sets 'filename'.
    `void` | `setFileSize(long fileSize)` Sets 'fileSize'.
    `void` | `setFolderPathString(String folderPathString)` Sets 'folderPathString'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setMimeType(String mimeType)` Sets 'mimeType'.
    `void` | `setPackageId(String packageId)` Sets 'packageId'.
    `void` | `setPackageTitle(String packageTitle)` Sets 'packageTitle'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setProjectPathString(String projectPathString)` Sets 'projectPathString'.
    `void` | `setProjectTitle(String projectTitle)` Sets 'projectTitle'.
    `void` | `setReleaseId(String releaseId)` Sets 'releaseId'.
    `void` | `setReleaseTitle(String releaseTitle)` Sets 'releaseTitle'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrsFileSoapRow

          public FrsFileSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The id of the file.
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The id of the file.
      Parameters:
        `id` - Value of 'id'.

    - #### getProjectPathString

          public String getProjectPathString()

      Returns 'projectPathString'. The path of the project containing the file
      Returns:
        Value of 'projectPathString'.

    - #### setProjectPathString

          public void setProjectPathString(String projectPathString)

      Sets 'projectPathString'. The path of the project containing the file
      Parameters:
        `projectPathString` - Value of 'projectPathString'.

    - #### getFolderPathString

          public String getFolderPathString()

      Returns 'folderPathString'.
      Returns:
        Value of 'folderPathString'.

    - #### setFolderPathString

          public void setFolderPathString(String folderPathString)

      Sets 'folderPathString'.
      Parameters:
        `folderPathString` - Value of 'folderPathString'.

    - #### getProjectTitle

          public String getProjectTitle()

      Returns 'projectTitle'. The title of the project containing the file
      Returns:
        Value of 'projectTitle'.

    - #### setProjectTitle

          public void setProjectTitle(String projectTitle)

      Sets 'projectTitle'. The title of the project containing the file
      Parameters:
        `projectTitle` - Value of 'projectTitle'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. The id of the project containing the file
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. The id of the project containing the file
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getReleaseTitle

          public String getReleaseTitle()

      Returns 'releaseTitle'. If the file is part of a release, the release title
      Returns:
        Value of 'releaseTitle'.

    - #### setReleaseTitle

          public void setReleaseTitle(String releaseTitle)

      Sets 'releaseTitle'. If the file is part of a release, the release title
      Parameters:
        `releaseTitle` - Value of 'releaseTitle'.

    - #### getReleaseId

          public String getReleaseId()

      Returns 'releaseId'. If the file is part of a release, the release id
      Returns:
        Value of 'releaseId'.

    - #### setReleaseId

          public void setReleaseId(String releaseId)

      Sets 'releaseId'. If the file is part of a release, the release id
      Parameters:
        `releaseId` - Value of 'releaseId'.

    - #### getPackageTitle

          public String getPackageTitle()

      Returns 'packageTitle'. If the file is part of a release package, the package title
      Returns:
        Value of 'packageTitle'.

    - #### setPackageTitle

          public void setPackageTitle(String packageTitle)

      Sets 'packageTitle'. If the file is part of a release package, the package title
      Parameters:
        `packageTitle` - Value of 'packageTitle'.

    - #### getPackageId

          public String getPackageId()

      Returns 'packageId'. If the file is part of a release package, the package id
      Returns:
        Value of 'packageId'.

    - #### setPackageId

          public void setPackageId(String packageId)

      Sets 'packageId'. If the file is part of a release package, the package id
      Parameters:
        `packageId` - Value of 'packageId'.

    - #### getTitle

          public String getTitle()

      Returns 'title'.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'.
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. A description of the file contents
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. A description of the file contents
      Parameters:
        `description` - Value of 'description'.

    - #### getFilename

          public String getFilename()

      Returns 'filename'. The name of the file used when downloading the file
      Returns:
        Value of 'filename'.

    - #### setFilename

          public void setFilename(String filename)

      Sets 'filename'. The name of the file used when downloading the file
      Parameters:
        `filename` - Value of 'filename'.

    - #### getContentId

          public String getContentId()

      Returns 'contentId'.
      Returns:
        Value of 'contentId'.

    - #### setContentId

          public void setContentId(String contentId)

      Sets 'contentId'.
      Parameters:
        `contentId` - Value of 'contentId'.

    - #### getFileSize

          public long getFileSize()

      Returns 'fileSize'. The size of the file in bytes
      Returns:
        Value of 'fileSize'.

    - #### setFileSize

          public void setFileSize(long fileSize)

      Sets 'fileSize'. The size of the file in bytes
      Parameters:
        `fileSize` - Value of 'fileSize'.

    - #### getMimeType

          public String getMimeType()

      Returns 'mimeType'. The mime type of the file
      Returns:
        Value of 'mimeType'.

    - #### setMimeType

          public void setMimeType(String mimeType)

      Sets 'mimeType'. The mime type of the file
      Parameters:
        `mimeType` - Value of 'mimeType'.

    - #### getDateCreated

          public Date getDateCreated()

      Returns 'dateCreated'. The date the file was created.
      Returns:
        Value of 'dateCreated'.

    - #### setDateCreated

          public void setDateCreated(Date dateCreated)

      Sets 'dateCreated'. The date the file was created.
      Parameters:
        `dateCreated` - Value of 'dateCreated'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.